package com.galaxis.manatee.controller;

import com.galaxis.manatee.service.LogCheckService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 日志工时controller
 * @author zcj
 * @version 0.1
 * @date 2021/3/4 3:56 上午
 */
@RestController
public class WorkHourController {

    private final LogCheckService logCheckService;

    public WorkHourController(LogCheckService logCheckService) {
        this.logCheckService = logCheckService;
    }

    /**
     * 检查工时不一致数据
     * @param userId    用户Id
     */
    @GetMapping("/test/workHour/checkSelfWorkHour")
    public void checkSelfWorkHour(@RequestParam("userId") String userId){
        try {
            logCheckService.checkDayWorkHour(userId);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
